Read token identity and market data
curl --request GET \
--url https://api.fomoscan.sh/v2/token/{address} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fomoscan.sh/v2/token/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fomoscan.sh/v2/token/{address}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"token": {
"address": "<string>",
"networkId": "<string>",
"name": "<string>",
"symbol": "<string>",
"logo": "<string>",
"chain": "<string>",
"priceUsd": 123,
"marketCapUsd": 123,
"liquidityUsd": 123,
"volume24hUsd": 123,
"priceChange24h": 123,
"holders": 123,
"asOf": "<string>"
},
"requestId": "<string>",
"billing": {
"status": "settled",
"credits": 1,
"reveals": 0
}
}{
"token": {
"address": "<string>",
"networkId": "<string>",
"name": "<string>",
"symbol": "<string>",
"logo": "<string>",
"chain": "<string>",
"priceUsd": 123,
"marketCapUsd": 123,
"liquidityUsd": 123,
"volume24hUsd": 123,
"priceChange24h": 123,
"holders": 123,
"asOf": "<string>"
},
"requestId": "<string>",
"billing": {
"status": "settled",
"credits": 1,
"reveals": 0
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>",
"retryAfter": 123,
"addUrl": "<string>"
}
}Tokens
Read token identity and market data
100 credits on a hit, 200 on a miss. Cached for 45 seconds. Market data failures return 503 without a credit charge.
Price: 100 CU per call.
GET
/
v2
/
token
/
{address}
Read token identity and market data
curl --request GET \
--url https://api.fomoscan.sh/v2/token/{address} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fomoscan.sh/v2/token/{address}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.fomoscan.sh/v2/token/{address}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"token": {
"address": "<string>",
"networkId": "<string>",
"name": "<string>",
"symbol": "<string>",
"logo": "<string>",
"chain": "<string>",
"priceUsd": 123,
"marketCapUsd": 123,
"liquidityUsd": 123,
"volume24hUsd": 123,
"priceChange24h": 123,
"holders": 123,
"asOf": "<string>"
},
"requestId": "<string>",
"billing": {
"status": "settled",
"credits": 1,
"reveals": 0
}
}{
"token": {
"address": "<string>",
"networkId": "<string>",
"name": "<string>",
"symbol": "<string>",
"logo": "<string>",
"chain": "<string>",
"priceUsd": 123,
"marketCapUsd": 123,
"liquidityUsd": 123,
"volume24hUsd": 123,
"priceChange24h": 123,
"holders": 123,
"asOf": "<string>"
},
"requestId": "<string>",
"billing": {
"status": "settled",
"credits": 1,
"reveals": 0
}
}{
"error": {
"code": "BAD_REQUEST",
"message": "<string>",
"retryAfter": 123,
"addUrl": "<string>"
}
}Authorizations
B2B API key (fsk_live_… / fsk_test_…), issued by FomoScan. Also accepted via X-Api-Key.
Path Parameters
Required string length:
32 - 128Query Parameters
Available options:
1, 56, 4663, 5042, 8453, 1399811149, solana 